package com.szpg.db.dao;

import com.szpg.db.data.PgAcuCmd;

import java.util.List;

public interface PgAcuCmdDao {

	public List<PgAcuCmd> findAll();
	public PgAcuCmd findById(String id);
	
	public PgAcuCmd findLatestCmdByDestAndType(String dest, String type);
	public PgAcuCmd findLatestCmdByHostAndType(String host, String type);
	
	public int addCmdRecord(PgAcuCmd cmd);
	public int updateCmdRecordTimeout(String cmdId);
	public int deleteCmdRecord(String cmdId);
	
	public int deleteTimeoutCmd();
	public int deleteLongTimeNoResponseCmd();
}